Bug 837664 - Unable to install pastebin with php53 Redhat Packages
Unable to install pastebin with php53 Redhat Packages
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: pastebin (Show other bugs)
el5
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 12:00 EDT by Olivier BONHOMME
Modified: 2017-04-06 06:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:04:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier BONHOMME 2012-07-04 12:00:00 EDT
Description of problem:

It is not possible to install the pastebin RPM when php53 packages are already installed. A conflict message about php53-common and php-common is raised

Version-Release number of selected component (if applicable): 0.60-4.el5

How reproducible:

Try to install pastebin RPM after php53 RPM installation provided by RedHat.

Steps to Reproduce:
1. yum install php53 php53-common php53-cli
2. yum install pastebin
  
Actual results:

Following error is raised : 

# yum install pastebin
Loaded plugins: dellsysid, replace, rhnplugin, security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pastebin.noarch 0:0.60-4.el5 set to be updated
--> Processing Dependency: php for package: pastebin
--> Running transaction check
---> Package php.x86_64 0:5.1.6-39.el5_8 set to be updated
--> Processing Dependency: php-common = 5.1.6-39.el5_8 for package: php
--> Processing Dependency: php-cli = 5.1.6-39.el5_8 for package: php
--> Running transaction check
---> Package php-cli.x86_64 0:5.1.6-39.el5_8 set to be updated
---> Package php-common.x86_64 0:5.1.6-39.el5_8 set to be updated
--> Processing Conflict: php53-common conflicts php-common
--> Finished Dependency Resolution
php53-common-5.3.3-13.el5_8.x86_64 from installed has depsolving problems
  --> php53-common conflicts with php-common
Error: php53-common conflicts with php-common
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest



Expected results: pastebin RPM is installed correctly


Additional info:

An equivalent issue has been detected for the php-Smarty library. Please check this BZ entry : https://bugzilla.redhat.com/show_bug.cgi?id=700179
Comment 1 Fedora End Of Life 2017-04-06 06:04:31 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.